Page MenuHomePhabricator

WikimediaApiPortal results in CI OOM-ing
Closed, ResolvedPublic

Description

Seen on https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/WikimediaApiPortal/+/588671/ via https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-docker/67292/console

18:34:29 INFO:mw.maintenance.install:php maintenance/install.php --scriptpath= --server=http://127.0.0.1:9412 --dbtype=mysql --dbname=wikidb --dbuser=wikiuser --dbpass=secret --dbserver=localhost:/workspace/db/quibble-mysql-c_1sbpjn/socket --with-extensions --pass=testwikijenkinspass TestWiki WikiAdmin
18:48:27 
18:48:27 mmap() failed: [12] Cannot allocate memory
18:48:27 
18:48:27 mmap() failed: [12] Cannot allocate memory
18:48:27 PHP Fatal error:  Out of memory (allocated 21854420992) (tried to allocate 20480 bytes) in /workspace/src/includes/registration/ExtensionRegistry.php on line 306

Could be an issue in one of the CI dependancy patches I made

Event Timeline

Reedy created this task.May 21 2020, 6:20 PM
Reedy added a comment.May 21 2020, 7:17 PM

Trying to get the skin working locally... (haven't tried install.php yet)

( ! ) Fatal error: Uncaught TypeError: Argument 1 passed to Title::equals() must implement interface MediaWiki\Linker\LinkTarget, null given, called in /var/www/wiki/mediawiki/skins/WikimediaApiPortal/src/Component/Header/NavMenu.php on line 122 and defined in /var/www/wiki/mediawiki/core/includes/Title.php on line 3925
( ! ) TypeError: Argument 1 passed to Title::equals() must implement interface MediaWiki\Linker\LinkTarget, null given, called in /var/www/wiki/mediawiki/skins/WikimediaApiPortal/src/Component/Header/NavMenu.php on line 122 in /var/www/wiki/mediawiki/core/includes/Title.php on line 3925
Call Stack
#	Time	Memory	Function	Location
1	0.1532	13739776	MWExceptionHandler::handleUncaughtException( )	.../MWExceptionHandler.php:0
2	0.1532	13739776	MWExceptionHandler::handleException( )	.../MWExceptionHandler.php:155
3	0.1538	13739920	MWExceptionHandler::report( )	.../MWExceptionHandler.php:184
4	0.1538	13739920	MWExceptionRenderer::output( )	.../MWExceptionHandler.php:105
5	0.1539	13756432	MWExceptionRenderer::reportHTML( )	.../MWExceptionRenderer.php:65
6	0.1545	13764688	OutputPage->output( )	.../MWExceptionRenderer.php:153
7	0.1549	13782528	MediaWiki\Skin\WikimediaApiPortal\Skin->outputPage( )	.../OutputPage.php:2618
8	0.1560	13784024	MediaWiki\Skin\WikimediaApiPortal\Skin->generateHTML( )	.../SkinTemplate.php:246
9	0.1664	13835640	MediaWiki\Skin\WikimediaApiPortal\WikimediaApiPortalTemplate->execute( )	.../SkinTemplate.php:232
10	0.1667	13837168	MediaWiki\Skin\WikimediaApiPortal\WikimediaApiPortalTemplate->execute( )	.../WikimediaApiPortalTemplate.php:23
11	0.1668	13837168	Skins\Chameleon\Components\Structure->getHtml( )	.../ChameleonTemplate.php:50
12	0.1668	13837168	Skins\Chameleon\Components\Grid->getHtml( )	.../Structure.php:54
13	0.1668	13837248	Skins\Chameleon\Components\Grid->getHtml( )	.../Container.php:53
14	0.1668	13837248	Skins\Chameleon\Components\Row->getHtml( )	.../Structure.php:54
15	0.1668	13837360	Skins\Chameleon\Components\Row->getHtml( )	.../Container.php:53
16	0.1668	13837360	Skins\Chameleon\Components\Cell->getHtml( )	.../Structure.php:54
17	0.1668	13837424	Skins\Chameleon\Components\Cell->getHtml( )	.../Container.php:53
18	0.1668	13837424	Skins\Chameleon\Components\Row->getHtml( )	.../Structure.php:54
19	0.1668	13837480	Skins\Chameleon\Components\Row->getHtml( )	.../Container.php:53
20	0.1671	13838040	Skins\Chameleon\Components\Cell->getHtml( )	.../Structure.php:54
21	0.1671	13838096	Skins\Chameleon\Components\Cell->getHtml( )	.../Container.php:53
22	0.1671	13838096	Skins\Chameleon\Components\NavbarHorizontal->getHtml( )	.../Structure.php:54
23	0.1671	13838096	Skins\Chameleon\Components\NavbarHorizontal->buildHtml( )	.../NavbarHorizontal.php:59
24	0.1672	13838288	Skins\Chameleon\Components\NavbarHorizontal->buildNavBarComponents( )	.../NavbarHorizontal.php:76
25	0.1672	13838288	Skins\Chameleon\Components\NavbarHorizontal->buildNavBarElementsFromDomTree( )	.../NavbarHorizontal.php:123
26	0.1672	13838544	Skins\Chameleon\Components\NavbarHorizontal->buildAndCollectNavBarElementFromDomElement( )	.../NavbarHorizontal.php:153
27	0.1672	13838544	Skins\Chameleon\Components\NavbarHorizontal->buildNavBarElementFromDomElement( )	.../NavbarHorizontal.php:185
28	0.1673	13838656	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->getHtml( )	.../NavbarHorizontal.php:203
29	0.1673	13838656	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->getHtml( )	.../NavMenu.php:35
30	0.1674	13839824	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->getDropdownForNavMenu( )	.../NavMenu.php:63
31	0.1674	13839824	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->getDropdownForNavMenu( )	.../NavMenu.php:45
32	0.1674	13839888	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->buildDropdownOpeningTags( )	.../NavMenu.php:92
33	0.1674	13839888	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->hasActive( )	.../NavMenu.php:76
34	0.1674	13840208	array_filter ( )	.../NavMenu.php:108
35	0.1675	13840352	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->MediaWiki\Skin\WikimediaApiPortal\Component\Header\{closure:/var/www/wiki/mediawiki/skins/WikimediaApiPortal/src/Component/Header/NavMenu.php:106-108}( )	.../NavMenu.php:108
36	0.1675	13840352	MediaWiki\Skin\WikimediaApiPortal\Component\Header\NavMenu->isActive( )	.../NavMenu.php:107
37	0.1675	13840352	Title->equals( )	.../NavMenu.php:122
Reedy added a comment.May 21 2020, 7:17 PM

Running install.php...

[a01bbc7baa7d8f5d4a178ae0] [no req]   Error from line 529 of /var/www/wiki/mediawiki/core/vendor/composer/semver/src/VersionParser.php: Maximum function nesting level of '256' reached, aborting!
Backtrace:
#0 /var/www/wiki/mediawiki/core/vendor/composer/semver/src/VersionParser.php(529): strtolower(string)
#1 /var/www/wiki/mediawiki/core/vendor/composer/semver/src/VersionParser.php(151): Composer\Semver\VersionParser->expandStability(string)
#2 /var/www/wiki/mediawiki/core/includes/registration/VersionChecker.php(108): Composer\Semver\VersionParser->normalize(string)
#3 /var/www/wiki/mediawiki/core/includes/registration/VersionChecker.php(80): VersionChecker->setCoreVersion(string)
#4 /var/www/wiki/mediawiki/core/includes/registration/ExtensionRegistry.php(310): VersionChecker->__construct(string, string, array, array, array)
#5 /var/www/wiki/mediawiki/core/includes/registration/ExtensionRegistry.php(331): ExtensionRegistry->buildVersionChecker()
#6 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1413): ExtensionRegistry->readFromQueue(array)
#7 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#8 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#9 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#10 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#11 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#12 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#13 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#14 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#15 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#16 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#17 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#18 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#19 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#20 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#21 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#22 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#23 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#24 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#25 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#26 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#27 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#28 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#29 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#30 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#31 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#32 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#33 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#34 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#35 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#36 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#37 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#38 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#39 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#40 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#41 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#42 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#43 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#44 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#45 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#46 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#47 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#48 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#49 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#50 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#51 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#52 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#53 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#54 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#55 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#56 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#57 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#58 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#59 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#60 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#61 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#62 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#63 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#64 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#65 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#66 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#67 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#68 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#69 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#70 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#71 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#72 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#73 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#74 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#75 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#76 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#77 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#78 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#79 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#80 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#81 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#82 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#83 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#84 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#85 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#86 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#87 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#88 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#89 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#90 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#91 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#92 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#93 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#94 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#95 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#96 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#97 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#98 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#99 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#100 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#101 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#102 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#103 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#104 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#105 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#106 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#107 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#108 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#109 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#110 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#111 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#112 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#113 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#114 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#115 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#116 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#117 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#118 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#119 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#120 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#121 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#122 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#123 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#124 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#125 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#126 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#127 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#128 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#129 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#130 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#131 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#132 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#133 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#134 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#135 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#136 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#137 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#138 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#139 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#140 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#141 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#142 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#143 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#144 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#145 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#146 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#147 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#148 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#149 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#150 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#151 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#152 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#153 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#154 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#155 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#156 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#157 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#158 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#159 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#160 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#161 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#162 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#163 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#164 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#165 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#166 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#167 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#168 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#169 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#170 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#171 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#172 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#173 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#174 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#175 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#176 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#177 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#178 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#179 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#180 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#181 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#182 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#183 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#184 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#185 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#186 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#187 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#188 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#189 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#190 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#191 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#192 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#193 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#194 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#195 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#196 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#197 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#198 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#199 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#200 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#201 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#202 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#203 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#204 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#205 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#206 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#207 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#208 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#209 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#210 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#211 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#212 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#213 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#214 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#215 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#216 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#217 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#218 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#219 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#220 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#221 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#222 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#223 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#224 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#225 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#226 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#227 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#228 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#229 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#230 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#231 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#232 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#233 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#234 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#235 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#236 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#237 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#238 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#239 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#240 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#241 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#242 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#243 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#244 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#245 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#246 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#247 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1428): Installer->readExtension(string, array, array)
#248 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1369): Installer->readExtension(string)
#249 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1309): Installer->getExtensionInfo(string, string, string)
#250 /var/www/wiki/mediawiki/core/includes/installer/Installer.php(1274): Installer->findExtensionsByType(string, string)
#251 /var/www/wiki/mediawiki/core/includes/installer/CliInstaller.php(124): Installer->findExtensions()
#252 /var/www/wiki/mediawiki/core/includes/installer/InstallerOverrides.php(74): CliInstaller->__construct(string, string, array)
#253 /var/www/wiki/mediawiki/core/maintenance/install.php(125): InstallerOverrides::getCliInstaller(string, string, array)
#254 /var/www/wiki/mediawiki/core/maintenance/doMaintenance.php(105): CommandLineInstaller->execute()
#255 /var/www/wiki/mediawiki/core/maintenance/install.php(201): require_once(string)
#256 {main}
Reedy added a comment.May 21 2020, 7:22 PM

Dumping a var_dump in...

diff --git a/includes/installer/Installer.php b/includes/installer/Installer.php
index c06d6d4138..51498e5050 100644
--- a/includes/installer/Installer.php
+++ b/includes/installer/Installer.php
@@ -1422,6 +1422,7 @@ abstract class Installer {
                        } elseif ( $e->missingExtensions || $e->missingSkins ) {
                                // There's an extension missing in the dependency tree,
                                // so add those to the dependency list and try again
+var_dump( $e->missingExtensions, $e->missingSkins );
                                $status = $this->readExtension(
                                        $fullJsonFile,
                                        array_merge( $extDeps, $e->missingExtensions ),

Something is wanting PageForms...

Ok, so this is a red herring. Because I have all of the extensions checked out, and what I've filed at T253336: Installer doesn't work well when "name" property doesn't match folder name, it tries to load all of the extensions and fails...

* Could not find the registration file for the extension "WikispeechSpeechDataCollector"
* Could not find the registration file for the extension "LiveChat"
* Could not find the registration file for the extension "Scribe"
* Could not find the registration file for the extension "WebDAVMinorSave"
* Could not find the registration file for the extension "Discourse"
* Could not find the registration file for the extension "ConfigurableCounters"
* Could not find the registration file for the extension "DumpHTML"
* Could not find the registration file for the extension "FileSystemImageServer"
* Could not find the registration file for the extension "PopupAlerts"
* Could not find the registration file for the extension "WSArrays"
* Could not find the registration file for the extension "LiveStreaming"
* Could not find the registration file for the extension "WebDAVClientIntegration"
* Could not find the registration file for the extension "CollapsibleSections"
* Could not find the registration file for the extension "GlobalCheckUser"
* Could not find the registration file for the extension "PrimarySources"
* A dependency error was encountered while installing the extension "BlueSpicePageFormsConnector": Could not find the registration file for the extension "Page Forms"
* Could not find the registration file for the extension "Parsoid"
* Could not find the registration file for the extension "Recoin"
* Could not find the registration file for the extension "SemanticTasks"
* Could not find the registration file for the extension "RelationLinks"
* A dependency error was encountered while installing the extension "HierarchyBuilder": Could not find the registration file for the extension "SemanticMediaWiki"
* Could not find the registration file for the extension "Whoops"
* Could not find the registration file for the extension "HighlightjsIntegration"
* A dependency error was encountered while installing the extension "SemanticACL": Could not find the registration file for the extension "SemanticMediaWiki"
* Could not find the registration file for the extension "AuthenticatedKeyValueStore"
* Could not find the registration file for the extension "PreferencesMaster"
* Could not find the registration file for the extension "GitHub"
* Could not find the registration file for the extension "CiteDrawer"
* Could not find the registration file for the extension "MusicBrainzAuth"
* Could not find the registration file for the extension "ZoomableImages"
* A dependency error was encountered while installing the extension "RegexBlock": RegexBlock is not compatible with the current MediaWiki core (version 1.35.0-alpha), it requires: >=1.34.0 <1.35.0.

* Could not find the registration file for the extension "RandomUsersWithAvatars"
* Could not find the registration file for the extension "XLS"
* Could not find the registration file for the extension "MWVersionInfo"
* Could not find the registration file for the extension "WikimediaApiPortalOAuth"
* Could not find the registration file for the extension "WikidataEntitySuggester"
* Could not find the registration file for the extension "PwnedPasswords"
* Could not find the registration file for the extension "SaveSpinner"
Reedy added a comment.May 21 2020, 7:57 PM

Using this for reference

18:29:52 DEBUG:quibble.cmd:Zuul clone with parameters {"cache_dir": "/srv/git", "zuul_branch": "master", "zuul_url": "git://contint1001.wikimedia.org", "workers": 8, "zuul_ref": "refs/zuul/master/Z1b882e45008a4bdca1b5995848525b28", "projects": ["mediawiki/core", "mediawiki/extensions/Bootstrap", "mediawiki/skins/Vector", "mediawiki/skins/WikimediaApiPortal", "mediawiki/skins/chameleon", "mediawiki/vendor"], "workspace": "/workspace/src", "zuul_project": "mediawiki/skins/WikimediaApiPortal"}

Only the Bootstrap extension in the extensions folder, but all of the skins in the skins meta repo... I can't replicate this issue

PHP 7.3.11-0ubuntu0.19.10.4 is installed.
Found ImageMagick: /usr/bin/convert. Image thumbnailing will be enabled if you enable uploads.
Found the Git version control software: /usr/bin/git.
Using server name "http://localhost".
Using server URL "http://127.0.0.1:9412".
Warning: Your default directory for uploads (/var/www/wiki/mediawiki/core/images/) is not checked for vulnerability to arbitrary script execution during the CLI install.
Using the PHP intl extension for Unicode normalization.
The environment has been checked. You can install MediaWiki.
Including extensions
done
Setting up database
done
Creating tables, step one
done
Creating database user
done
Creating tables, step two
done
Populating default interwiki table
done
Initializing statistics
done
Generating secret keys
done
Prevent running unneeded updates
done
Restoring mediawiki services
done
Creating administrator user account
done
Creating main page with default content
done
Creating tables for enabled extensions
done
Database was successfully set up
MediaWiki has been successfully installed. You can now visit <http://127.0.0.1:9412> to view your wiki. If you have questions, check out our frequently asked questions list: <https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ> or use one of the support forums linked on that page.

Same if the vendor dependancies aren't there...

Reedy added a comment.May 21 2020, 8:01 PM

I don't see any sign of CI checking out the scss related dependacies either though in https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-docker/67292/console

skins/WikimediaApiPortal -> skins/chameleon -> extensions/Bootstrap -> mediawiki/scss -> scssphp/scssphp

Reedy updated the task description. (Show Details)May 21 2020, 8:07 PM
Reedy added a comment.May 22 2020, 4:57 PM

Anyone any bright ideas on how to debug further as I apparently can't replicate it locally (and definitely not giving it anywhere near 24G of ram :P)

Reedy added a comment.May 22 2020, 5:21 PM

Removing the requires in skin.json for chameleon makes CI get a lot further then fail on T253321: Chameleon test failures on WMF CI

I've upstreamed this PR to fix the canonical name, and then use a message for the capitalised display name, which hopefully helps

I'll push into our fork when merged and see if that helps...

If it does, it seems the installer issue is probably T253336: Installer doesn't work well when "name" property doesn't match folder name

PR merged and pushed to gerrit seems to unblock this - https://github.com/ProfessionalWiki/chameleon/pull/155/files

Which means it's some variant of T253336: Installer doesn't work well when "name" property doesn't match folder name, even though for some reason it wasn't replicable locally (but similar/same behaviour)

Just T253321: Chameleon test failures on WMF CI to be fixed now

Reedy closed this task as Resolved.May 23 2020, 12:39 PM
Reedy claimed this task.